<template v-for="chat in chats" :key="chat.chatId">
  <v-list-item>
    <v-avatar icon="mdi-storefront" />
    <v-list-item-text>
      <ChatMessage :message="chats.data[chats.data.length - 1]" />
    </v-list-item-text>
  </v-list-item>
</template>

<script setup lang="ts">
import ChatMessage from "./ChatMessage.vue";
import { PropType, ref } from "vue";
import { ChatType } from "../data/models/ChatType";
const props = defineProps({
  chats: {
    type: Object as PropType<ChatType>,
    required: true,
  },
});
</script>
